NX Open C++ Reference Guide
|
Represents a builder
To create a new instance of this class, use CAE::LaminateGlobalLayup::CreateLockAngleBuilder
Created in NX7.5.0.
More...
Public Member Functions | |
double | LockAngle () |
Returns the lock angle Created in NX7.5.0. | |
void | SetLockAngle (double lockAngle) |
Sets the lock angle Created in NX7.5.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a builder
To create a new instance of this class, use CAE::LaminateGlobalLayup::CreateLockAngleBuilder
Created in NX7.5.0.
double NXOpen::CAE::LaminateLockAngleBuilder::LockAngle | ( | ) |
Returns the lock angle
Created in NX7.5.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
void NXOpen::CAE::LaminateLockAngleBuilder::SetLockAngle | ( | double | lockAngle | ) |
Sets the lock angle
Created in NX7.5.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
lockAngle | lock |